Bug 468859 - Application needs to be able to choose order in which failover urls are tried
Application needs to be able to choose order in which failover urls are tried
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.0
All Linux
high Severity high
: 1.1
: ---
Assigned To: Gordon Sim
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-28 09:55 EDT by Gordon Sim
Modified: 2011-08-12 12:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 10:36:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gordon Sim 2008-10-28 09:55:34 EDT
I.e. when failing over if the known urls for other nodes are A, B and C, the application should be able to control the order in which they are tried.
Comment 1 Frantisek Reznicek 2008-10-31 12:13:57 EDT
No test info. Putting NEEDINFO flag.
Comment 2 Gordon Sim 2008-11-07 09:15:54 EST
The list of urls to try can be passed in to FailoverManager::connect() if required. It is also possible to set a ReconnectionStrategy on the FailoverManager instance that will be invoked to allow the application to edit the list of urls prior to a reconnection attempt.

There is an example of this in qpid/cpp/examples/failover/resuming_receiver.cpp that simply rotates the proposed list to the left by one.
Comment 4 Frantisek Reznicek 2008-12-01 10:29:43 EST
Feature implemented. Code inspection took place.
->VERIFIED
Comment 6 errata-xmlrpc 2009-02-04 10:36:23 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0035.html

Note You need to log in before you can comment on or make changes to this bug.